<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="200dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/colorPrimary">


            <ImageView
                android:id="@+id/productPicture"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop"
                tools:visibility="gone" />

            <TextView
                android:id="@+id/buttonAddImage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="16dp"
                android:drawableLeft="@drawable/ic_add_a_photo"
                android:textAlignment="center"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.498"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.55" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayoutTitle"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="32dp"
            android:layout_marginEnd="16dp"
            android:textColorHint="@color/colorHint"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <EditText
                android:id="@+id/editTextTitle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:textColor="@color/black"
                android:hint="@string/hint_title"
                android:textSize="16sp" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayoutPrice"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="16dp"
            android:textColorHint="@color/colorHint"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textInputLayoutTitle">

            <EditText
                android:id="@+id/editTextPrice"
                android:inputType="numberDecimal"
                android:textColor="@color/black"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:hint="@string/hint_price"
                android:textSize="16sp" />

        </com.google.android.material.textfield.TextInputLayout>

        <Button
            android:id="@+id/buttonCreate"
            android:layout_width="315dp"
            android:layout_height="46dp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:backgroundTint="@color/colorAccent"
            android:text="@string/btn_create_title"
            android:textAllCaps="false"
            android:textColor="@color/white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.512"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textInputLayoutPrice"
            app:layout_constraintVertical_bias="0.954" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>